List planning allocations
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"category": "<string>",
"stage": "<string>",
"sequence": 123,
"invalid_reason": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Planning Allocations
List planning allocations
GET
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
allocations
List planning allocations
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"buffer_before_min": 123,
"buffer_after_min": 123,
"status": "<string>",
"category": "<string>",
"stage": "<string>",
"sequence": 123,
"invalid_reason": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account